import { LitElement } from 'lit';
import type { Bindings } from '../../search/atomic-search-interface/atomic-search-interface';
import type { InitializableComponent } from '../../../decorators/types';
import '../../common/atomic-tab-bar/atomic-tab-bar';
declare const AtomicIpxTabs_base: import("../../../mixins/mixin-common").Constructor<{
    injectStyles(dynamicStyles?: import("lit").CSSResultGroup): Promise<void>;
}> & typeof LitElement & import("../../../mixins/mixin-common").Constructor<import("../../../mixins/slots-for-no-shadow-dom-mixin").LightDOMWithSlots>;
/**
 * @internal
 * The `atomic-ipx-tabs` component is a wrapper around `atomic-tab-bar` for IPX interfaces.
 *
 * @slot default - The tab elements to display within the tab bar.
 */
export declare class AtomicIpxTabs extends AtomicIpxTabs_base implements InitializableComponent<Bindings> {
    bindings: Bindings;
    error: Error;
    initialize(): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'atomic-ipx-tabs': AtomicIpxTabs;
    }
}
export {};
